%define module	BerkeleyDB
%define name	perl-%{module}
%define version	0.29
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for BerkeleyDB 2.x and greater
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/BerkeleyDB/%{module}-%{version}.tar.bz2
BuildRequires:	db4-devel
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
BerkeleyDB is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 2 or greater. (Note: if
you want to use version 1 of Berkeley DB with Perl you need the DB_File
module).

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. BerkeleyDB provides an interface to all
four of the database types (hash, btree, queue and recno) currently
supported by Berkeley DB.

For further details see the documentation in the file BerkeleyDB.pod.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/BerkeleyDB*
%{perl_vendorarch}/auto/BerkeleyDB
%{_mandir}/*/*


%changelog
* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 22:43:31 (53702)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 22:40:37 (53701)
Import perl-BerkeleyDB

* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.29-1mdv2007.0
- New version 0.29

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2007.0
- New version 0.28
- %%mkrel
- spec cleanup
- better source URL

* Tue Nov 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.27-1mdk
- 0.27

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.26-2mdk
- Rebuild for new perl. Fix URL

* Tue Oct 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.26-1mdk
- 0.26
- Add Changes file in documentation

* Fri Apr 23 2004 Michael Scherer <misc@mandrake.org> 0.25-1mdk
- 0.25
- rpmbuildupdate aware
 

* Sat Aug 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.23-2mdk
- build with libdb4.1

* Mon Aug 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-1mdk
- 0.23 (second times, fu... upload script)

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.20-4mdk
- Macroize
- mv rm buildroot from %%prep to %%install
- %%makeinstall_std

* Thu Jul 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.20-3mdk
- rebuild for db4.1

* Wed May 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20-2mdk
- rebuild for new autoprov

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.20-1mdk
- add man pages.
- 0.20.

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.19-3mdk
- Don't hardcore arch in path

* Tue Aug 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.19-2mdk
- rebuild against latest perl.

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.19-1mdk
- 0.19

* Thu Apr 11 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.18-1mdk
- Initial Mandrake package

